## Apache Zeta Components Manual :: Docs For Class ezcSearchQueryToken

### Search::ezcSearchQueryToken

### Class ezcSearchQueryToken

The struct contains tokens that make up a search query

Source for this file: /Search/src/structs/query_token.php

Version: | //autogentag//

### Constants

`BRACE_CLOSE = 7` |
`BRACE_OPEN = 6` |
`COLON = 10` |
`LOGICAL_AND = 8` |
`LOGICAL_OR = 9` |
`MINUS = 5` |
`PLUS = 4` |
`QUOTE = 3` |
`SPACE = 2` |
`STRING = 1` |

### Member Variables

public string | `$token` Token contents
public int | `$type` Token type

### Method Summary

public static ezcSearchResult | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcSearchQueryToken | `__construct( $type , $token )` Contructs a new ezcSearchResult.

### Methods

#### __set_state

static ezcSearchResult __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcSearchQueryToken __construct( int $type , string $token )

Contructs a new ezcSearchResult.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int |
`$token` | string |

Documentation generated by phpDocumentor 1.4.3